using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class Skin : MonoBehaviour
{
    public string type;
    public int skin;

    public GameObject[] skins = { };

    public void Build()
    {
        for (int i = 0; i < skins.Length; i++)
        {
            skins[i].SetActive(i == (skin % skins.Length));
        }
    }

    private void OnValidate()
    {
        Build();
    }
}
